<template>
  <article
    class="card"
    @click="$router.push(`/article/${id}`)"
    @mouseover="showWafer = true"
    @mouseout="showWafer = false">
    <div
      class="card__wafer"
      :class="{ 'card__wafer--show': showWafer }">
      <div class="card__title">{{ title }}</div>
      <div class="card__desc"> {{ desc }}</div>
    </div>
    <img
      class="card__image"
      :src="image"
      :alt="title"
    >
  </article>
</template>

<script>

export default {
  name: 'Card',
  props: {
    id: {
      type: Number,
      required: true
    },
    title: {
      type: String,
      default: ''
    },
    desc: {
      type: String,
      default: ''
    },
    image: {
      type: String,
      default: ''
    }
  },
  data () {
    return {
      showWafer: false
    };
  }
};

</script>

<style scoped>
  
  .card {
    position: relative;
    width: 100%;
    height: 300px;
    overflow: hidden;
    text-align: center;
    cursor: pointer;

    &__title {
      font-size: 1.8rem;
      margin-bottom: 10px;
    }

    &__desc {
      font-size: 1.2rem;
      padding-top: 10px;
      border-top: 1px solid #ffffff;
    }

    &__wafer {
      position: absolute;
      bottom: -250px;
      width: calc(100% - 30px);
      height: 280px;
      padding: 10px 15px;
      background: rgba(0, 0, 0, .5);
      color: #ffffff;
      text-align: left;
      transition: all .2s ease-out;
      z-index: 2;
      
      &--show {
        bottom: 0;
      }
    }

    &__image {
      width: 100%;
      height: 100%;
      background: url(../static/images/picture.svg) center no-repeat;
      background-size: 50% 50%;
      transform: scale(1.1, 1.1);
      transition: all .5s ease-out;
      object-fit: cover;
      object-position: center bottom;
      font-family: 'object-fit: cover; object-position: center bottom;';
    }

    &:hover &__image {
      transform: scale(1, 1);
    }
  }

</style>